summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrey Utkin <andrey_utkin@gentoo.org>2019-11-25 19:23:29 +0000
committerAndrey Utkin <andrey_utkin@gentoo.org>2019-12-03 13:32:16 +0000
commitb8e400e247f95542ea116b4c5c1d4675c12dfc5e (patch)
tree3a98113d5021c36861fd6a3188ac269f9c0e4690 /sys-kernel/raspberrypi-image
parentsys-boot/raspberrypi-firmware: don't install device tree blobs (diff)
downloadgentoo-b8e400e247f95542ea116b4c5c1d4675c12dfc5e.tar.gz
gentoo-b8e400e247f95542ea116b4c5c1d4675c12dfc5e.tar.bz2
gentoo-b8e400e247f95542ea116b4c5c1d4675c12dfc5e.zip
sys-kernel/raspberrypi-image: install device tree blobs
Upstream git repo provides binaries of two natures in a single repository: * boot firmware files; * prebuilt kernel files. boot/*.dtb, boot/overlays/ belong to kernel, not boot firmware. But for historical reasons, these files were installed by sys-boot/raspberrypi-firmware package rather than sys-kernel/raspberrypi-image, which would be more correct. The problem with this is that users of kernels different than sys-kernel/raspberrypi-image need to install different files into these locations. This means such people have to avoid using sys-boot/raspberrypi-firmware package completely. A blocker dependency on old sys-boot/raspberrypi-firmware versions is added to protect from a situation when just raspberrypi-image is being upgraded, and a package manager ends up with a file collision during installation phase. Package-Manager: Portage-2.3.66, Repoman-2.3.16 Signed-off-by: Andrey Utkin <andrey_utkin@gentoo.org>
Diffstat (limited to 'sys-kernel/raspberrypi-image')
-rw-r--r--sys-kernel/raspberrypi-image/raspberrypi-image-9999.ebuild10
1 files changed, 9 insertions, 1 deletions
diff --git a/sys-kernel/raspberrypi-image/raspberrypi-image-9999.ebuild b/sys-kernel/raspberrypi-image/raspberrypi-image-9999.ebuild
index ecd30c09574..3a9901ac43d 100644
--- a/sys-kernel/raspberrypi-image/raspberrypi-image-9999.ebuild
+++ b/sys-kernel/raspberrypi-image/raspberrypi-image-9999.ebuild
@@ -11,7 +11,12 @@ LICENSE="GPL-2 raspberrypi-videocore-bin"
SLOT="0"
RESTRICT="binchecks strip"
-RDEPEND="sys-boot/raspberrypi-firmware"
+# Temporary safety measure to prevent ending up with a pair of
+# sys-kernel/raspberrypi-image and sys-boot/raspberrypi-firmware
+# both of which installed device tree files.
+# Restore to simply "sys-boot/raspberrypi-firmware" when the mentioned version
+# and all older ones are deleted.
+RDEPEND=">sys-boot/raspberrypi-firmware-1.20190709"
if [[ "${PV}" == 9999 ]]; then
inherit git-r3
@@ -30,4 +35,7 @@ src_install() {
doins -r modules/*
insinto /boot
doins boot/*.img
+
+ doins boot/*.dtb
+ doins -r boot/overlays
}